%add all your local new commands to this file

\newcommand{\smiley}{:)}

\renewbibmacro*{index:name}[5]{%
  \usebibmacro{index:entry}{#1}
    {\iffieldundef{usera}{}{\thefield{usera}\actualoperator}\mkbibindexname{#2}{#3}{#4}{#5}}}

% \newcommand{\noop}[1]{}

%add all your local new commands to this file

\newcommand{\ie}{i.e., }

% \newcommand{\noop}[1]{}

\newcommand{\blex}[1]{\textit{#1}\xspace}

\newcommand{\ngram}[1][]{$n$-gram{#1}\xspace}

\newcommand{\mwetype}[1]{\texttt{#1}\xspace}
\newcommand{\strongish}{\mwetype{strong}}
\newcommand{\weak}{\mwetype{weak}}
%\newcommand{\hard}{\mwetype{hard}}
\newcommand{\hard}{\textit{hard}}
%\newcommand{\mixed}{\mwetype{mixed}}
\newcommand{\mixed}{\textit{mixed}}

\newcommand{\gap}{$*$\xspace}
\newcommand{\zp}{\phantom{0}}

\newcommand{\figureref}[1]{Figure~\ref{#1}\xspace}
\newcommand{\tableref}[1]{Table~\ref{#1}\xspace}
\newcommand{\sectionref}[1]{Section~\ref{#1}\xspace}


\DeclareFloatingEnvironment[fileext=lod]{diagram}
\newcommand{\nothing}[1]{}

\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\sc}{\normalfont\bfseries}{\mathbf}


% \newcommand{\noop}[1]{}


\newcommand{\class}[1]{\texttt{#1}\xspace}
\newcommand{\localex}[1]{\textit{#1}\xspace}
\newcommand{\gl}[1]{``{#1}''\xspace}

\newcommand{\x}{\phantom{0}}

% Style guide provides these...

\newcommand{\localtabref}[2][]{Table#1~\ref{#2}\xspace}
\newcommand{\secref}[2][]{Section#1~\ref{#2}\xspace}
\newcommand{\localfigref}[2][]{Figure#1~\ref{#2}\xspace}

\newcommand{\eqnref}[2][]{Equation#1~\ref{#2}\xspace}

\newcommand{\REDDY}{ENC\xspace}
\newcommand{\BANNARD}{EVPC\xspace}

\newcommand{\MWE}{\ensuremath{\mathit{mwe}}}
\newcommand{\component}{\ensuremath{\mathit{component}}}

\newcommand{\spadeaff}{\ensuremath{\spadesuit}\xspace}
\newcommand{\clubaff}{\ensuremath{\clubsuit}\xspace}
\newcommand{\heartaff}{\ensuremath{\heartsuit}\xspace}
\newcommand{\diamondaff}{\ensuremath{\diamondsuit}\xspace}


\newcommand{\CS}[1]{\ensuremath{\mathit{CS}_{\mathit{#1}}}\xspace}

\newcommand{\CSsource}{\CS{L1}}
\newcommand{\CStarg}{\CS{L2N}}
\newcommand{\CSsourcetarg}{\CS{L1+L2N}}
\newcommand{\CSsvr}{\CS{SVR(L1+L2)}}
\newcommand{\CSstring}{\CS{string}}
\newcommand{\CSall}{\CS{all}}
\newcommand{\CSstringDS}{\CS{string+L1}}

%add all your local new commands to this file

\newcommand{\main}[1]{\textbf{#1}}

%\newcommand{\dataset}[1]{\textsc{#1}\xspace}

%\newcommand{\dataset}[1]{\textsc{#1}}

\newcommand{\feat}[1]{{\textsc{#1}}}
\newcommand{\swfeat}[2]{\feat{#1$_{#2}$}}
\newcommand{\bgfeat}[3]{\feat{#1$_{#2}$#1$_{#3}$}}
\newcommand{\tgfeat}[4]{\feat{#1$_{#2}$#1$_{#3}$#1$_{#4}$}}

\newcommand{\best}[1]{\textbf{#1}}
\newcommand{\hd}[1]{\textbf{#1}}


\newcommand{\dev}{\textsc{dev}}
\newcommand{\devAQ}{\dev$_{AQ}$}
\newcommand{\devDD}{\dev$_{DD}$}

\newcommand{\full}{\textsc{full}}
\newcommand{\fullAQ}{\full$_{AQ}$}
\newcommand{\fullDD}{\full$_{DD}$}

\newcommand{\expl}[1]{\emph{#1}}
% \mwegloss{original}{literal}{translat}
\newcommand{\mwegloss}[3]{\expl{#1} (lit.\ \expl{#2}) `#3'}


\renewbibmacro*{index:name}[5]{%
  \usebibmacro{index:entry}{#1}
    {\iffieldundef{usera}{}{\thefield{usera}\actualoperator}\mkbibindexname{#2}{#3}{#4}{#5}}}

% \newcommand{\noop}[1]{}

\newcommand{\compresslist}{
\setlength{\itemsep}{1pt}
\setlength{\parskip}{0pt}
\setlength{\parsep}{0pt}
\setlength{\leftmargin}{10cm}
}

\newcommand{\revcr}[1]{\textcolor{black}{#1}} % Revised by Carlos Ramisch
\newcommand{\revms}[1]{\textcolor{black}{#1}}  % Revised by Manon Scholivet
\newcommand{\revsc}[1]{\textcolor{black}{#1}}     % Revised by Silvio Cordeiro


\newcommand{\mcomment}[2]{\noindent{{\scriptsize\sffamily(\marginpar{\sffamily #1}#2)}}}
\newcommand{\ncomment}[2]{\noindent{{\sffamily\marginpar{\sffamily #1}#2}}}

%\newcommand{\car}[1]{\mcomment{\tiny{CAR}}{\textcolor{green}{#1}}} %Carlos' comments
%\definechangesauthor[name={Carlos Ramisch}, color={Green}]{cr}
\newcommand{\as}[1]{\mcomment{\tiny{AS}}{\textcolor{blue}{#1}}} %Agata's comments
\newcommand{\cara}[1]{\mcomment{\tiny{CR}}{\textcolor{red}{#1}}} %Carlos' comment
\newcommand{\mc}[1]{\mcomment{\tiny{MC}}{\textcolor{orange}{#1}}} %Marie's comments
\newcommand{\vv}[1]{\mcomment{\tiny{VV}}{\textcolor{gray}{#1}}} %Veronika's comments
\newcommand{\src}[1]{\mcomment{\tiny{SRC}}{\textcolor{magenta}{#1}}} %Silvio's comments
\newcommand{\fs}[1]{\mcomment{\tiny{FS}}{\textcolor{brown}{#1}}} %Federico's comments
\newcommand{\ad}[1]{\mcomment{\tiny{AD}}{\textcolor{brown}{#1}}} %Antoine's comments
\newcommand{\fc}[1]{\mcomment{\tiny{FC}}{\textcolor[rgb]{.7,0,.2}{#1}}} %Fabienne's comments
\newcommand{\iva}[1]{\mcomment{\tiny{IS}}{\textcolor{yellow}{#1}}} %Iva's comments
\newcommand{\bqz}[1]{\mcomment{\tiny{BQZ}}{\textcolor{gray}{#1}}} %Behrang's comments
\newcommand{\vg}[1]{\mcomment{\tiny{VG}}{\textcolor{magenta}{#1}}} %Voula's comments
\newcommand{\kuad}[1]{\mcomment{\tiny{KA}}{\textcolor{green}{#1}}} %Kübra's comments
\newcommand{\eb}[1]{\mcomment{\tiny{EB}}{\textcolor[rgb]{.3,.7,.2}{#1}}} %Eduard's comments
\newcommand{\guer}[1]{\mcomment{\tiny{GE}}{\textcolor{Mahogany}{#1}}} %Gulsen's comments
\newcommand{\jm}[1]{\mcomment{\tiny{JM}}{\textcolor{blue}{#1}}} %Johanna's comments
\newcommand{\capa}[1]{\mcomment{\tiny{CP}}{\textcolor{red}{#1}}} %Carla's comments
\newcommand{\lvdp}[1]{\mcomment{\tiny{LVDP}}{\textcolor{Emerald}{#1}}} %Lonneke's comments
%\newcommand{\ls}[1]{\mcomment{\tiny{LG}}{\textcolor{BlueViolet}{#1}}} %Luke's comments
\newcommand{\mvg}[1]{\mcomment{\tiny{MVG}}{\textcolor{magenta}{#1}}} %Maarten's comments
\newcommand{\yhk}[1]{\mcomment{\tiny{YHK}}{\textcolor{pink}{#1}}} %Yaakov's comments
\newcommand{\jk}[1]{\mcomment{\tiny{JK}}{\textcolor{NavyBlue}{#1}}} %Jolanta's comments
\newcommand{\sk}[1]{\mcomment{\tiny{SK}}{\textcolor{Orchid}{#1}}} %Simon's comments
\newcommand{\chli}[1]{\mcomment{\tiny{CHLI}}{\textcolor{pink}{#1}}} %Chaya's comments
\newcommand{\vm}[1]{\mcomment{\tiny{VM}}{\textcolor{blue}{#1}}} %Verginica's comments


% \newcommand*{\bfrac}[2]{\genfrac{}{}{0pt}{}{#1}{#2}}
%\newcommand{\tx}[1]{\text{#1}}
% \newcommand{\rarrow}[1]{\xRightarrow{#1}}
\newcommand{\mt}[1]{\mathit{#1}}

% JW: For highlighting newly written or modified parts.
\newcommand{\new}[1]{\textcolor{RedOrange}{\marginpar{\scriptsize\sffamily NEW}#1}}
% \newcommand{\new}[1]{#1}
\newcommand{\old}[1]{#1}
% \newcommand{\old}[1]{\textcolor{DarkGreen}{#1}}


%%%%%%%%%%%
%% STYLES FOR EXAMPLES
%%%%%%%%%%
%\newcommand{\lex}[1]{\textbf{#1}}  %Lexicalized component
%\newcommand{\ile}[1]{\textsl{#1}} %In-line example
%\newcommand{\gl}[1]{(lit.~\textsl{#1})} %Gloss

%%%%%%%%%%%
%% old version
%\newcommand{\gl}[1]{`\textsl{#1}'} %Gloss
%\newcommand{\tra}[1]{`{#1}'}  %Translation
%\newcommand{\tra}[1]{$\Rightarrow$\textsc{#1}}  %Idiomatic translation
%\newcommand{\tra}[1]{`#1'}  %Idiomatic translation
%\newcommand{\exgl}[2]{\ile{#1}~\gl{#2}} %Example with a gloss
%\newcommand{\extr}[2]{\ile{#1}~\tra{#2}} %Example with a translation
%\newcommand{\gltr}[2]{\gl{#1}~\tra{#2}} %Gloss with a translation
%\newcommand{\gltr}[2]{\gl{#1} $\Rightarrow$ \tra{#2}} %Gloss with a translation
%\newcommand{\exgltr}[3]{\ile{#1}~\gl{#2}~\tra{#3}} %Example with a gloss and a translation
%\newcommand{\exgltr}[3]{\ile{#1}~\gl{#2} $\Rightarrow$ \tra{#3}} %Example with a gloss and a translation

%%%%%%%%%%%
%% new version
%%%%%%%%%%
%\newcommand{\ile}[1]{\textsl{#1}} %In-line example with no gloss or translation
%\ewcommand{\exlit}[2]{\ile{#1}~\gl{#2}} %Example with a gloss
%\newcommand{\extr}[2]{\ile{#1}~\tra{#2}} %Example with a translation

%\newcommand{\lit}[1]{`\textsl{#1}'} %Literal translation
%\newcommand{\idio}[1]{`#1'}  %Idiomatic translation
%\newcommand{\exlit}[2]{\ile{#1}~\lit{#2}} %Example with a literal translation
%\newcommand{\exidio}[2]{\ile{#1}~\tra{#2}} %Example with an idiomatic translation
%\newcommand{\litidio}[2]{\lit{#1}$ \Rightarrow $\idio{#2}} %Literal and idiomatic translation
%\newcommand{\exlitidio}[3]{%\ile{#1}~\lit{#2}$\Rightarrow$\idio{#3}} %Example with a literal and a and idiomatic translation
%%%%%%%%%%%

%%%%%%%%%%%
%% in-line examples for languages in Latin script
%%%%%%%%%%
\newcommand{\lex}[1]{\textbf{#1}}  %Lexicalized component
%\newcommand{\ile}[1]{\textsl{#1}} %In-line example  
\newcommand{\ile}[1]{\textit{#1}} %In-line example  
\newcommand{\lit}[1]{`#1'} %Literal translation
\newcommand{\idio}[1]{`#1'}  %Idiomatic translation
\newcommand{\exlit}[2]{\ile{#1}~\lit{#2}} %Example with a literal translation
\newcommand{\exidio}[2]{\ile{#1}~\idio{#2}} %Example with an idiomatic translation
\newcommand{\litidio}[2]{\lit{#1}$~\Rightarrow~$\idio{#2}} %Literal and idiomatic translation
\newcommand{\exlitidio}[3]{\ile{#1}~\lit{#2}~$\Rightarrow$~\idio{#3}} %Example with a literal and a and idiomatic translation

%%%%%%%%%%%
%% in-line examples for languages in non-Latin script
%%%%%%%%%%
%\newcommand{\nlile}[1]{#1} %In-line example  
\newcommand{\nlile}[1]{{#1}} %In-line example  
\newcommand{\nltli}[1]{#1} %Transliterated in-line example  

\newcommand{\nlextlilit}[3]{\nlile{#1}~(\nltli{#2})~\lit{#3}} %Example with a transliteration and a literal translation
\newcommand{\nltlilit}[2]{\nltli{#1}~\lit{#2}} %A transliteration and a literal translation

\newcommand{\nlextliidio}[3]{\nlile{#1}~(\nltli{#2})~\idio{#3}} %Example with a transliteration and an idiomatic translation
\newcommand{\nltliidio}[2]{\nltli{#1}~\idio{#2}} %Example with an idiomatic translation
 
\newcommand{\nltlilitidio}[3]{\nltli{#1}~\lit{#2}~$\Rightarrow~$\idio{#3}} %Transliteration with a literal and an idiomatic translation
\newcommand{\nlextlilitidio}[4]{\nlile{#1}~(\nltli{#2})~\lit{#3}~$\Rightarrow$~\idio{#4}} %Example with a transliteration, a literal and an idiomatic translation
%%%%%%%%%%%

%% for compact lists
\newenvironment{senum}{
\begin{enumerate}
  \setlength{\topsep}{0pt}
  \setlength{\itemsep}{1pt}
  \setlength{\parskip}{0pt}
  \setlength{\parsep}{0pt}
}{\end{enumerate}\vspace{-.3em}}
\newenvironment{sitem}{
\begin{itemize}
  \setlength{\topsep}{0pt}
  \setlength{\itemsep}{1pt}
  \setlength{\parskip}{0pt}
  \setlength{\parsep}{0pt}
}{\end{itemize}\vspace{-.3em}}

%%%%%%%%%%%%%%%%%%
\newfontfamily\Parsifont[Script=Arabic]{ScheherazadeRegOT_Jazm.ttf} 
%\newfontfamily\Parsifont[Script=Arabic]{langsci/fonts/ScheherazadeRegOT_Jazm.ttf} 
\newcommand{\PRL}[1]{\RL{\Parsifont #1}}

%
% Silvio's additions
%%%%%%%%%%%%%%%%%%%%
\newcommand{\mweset}[1]{\ensuremath{\text{\{#1\}}}}
\newcommand{\xsub}[2]{\ensuremath{\text{#1}_{\text{#2}}}}
\newcommand{\mweG}[0]{\xsub{MWE}{Gold}}
\newcommand{\mweSa}[0]{\xsub{MWE}{S1}}
\newcommand{\mweSb}[0]{\xsub{MWE}{S2}}
\newcommand{\mweSc}[0]{\xsub{MWE}{S3}}
\newcommand{\tokG}[0]{\xsub{Tok}{Gold}}
\newcommand{\tokSa}[0]{\xsub{Tok}{S1}}
\newcommand{\tokSb}[0]{\xsub{Tok}{S2}}
\newcommand{\tokSc}[0]{\xsub{Tok}{S3}}
\newcommand{\tpmax}[0]{\xsub{TP}{max}}
%%%%%%%%%%%%%%%%%%%%
% End of Silvio's additions
%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%
% Added by Salehi et al.
%%%%%%%%%%%%%%%%%%%
\newcommand{\dataset}[1]{\textsc{#1}\xspace}

\DeclareMathOperator{\len}{len}
\DeclareMathOperator{\Sim}{sim}
\DeclareMathOperator{\Mean}{mean}
\DeclareMathOperator{\LCS}{LCS}
\DeclareMathOperator{\LEVone}{LEV1}
\DeclareMathOperator{\LEVtwo}{LEV2}
\DeclareMathOperator{\alignedSequence}{alignedSequence}
\newcommand{\dictcc}{{\texttt dict.cc}\xspace}
%%%%%%%%%%%%%%%%%%%
% End of additions by Salehi et al.
%%%%%%%%%%%%%%%%%%%


 
\newcommand{\termdef}[1]{\textsc{#1}} %Term definition: the first occurrence of a term
 
 %% BQ added the following to get rid of [bibtexkey] in references
%\makeatletter
%\renewcommand{\@BIBLABEL}{\@emptybiblabel}
%\newcommand{\@emptybiblabel}[1]{}
%\makeatother

%\graphicspath{ {./Images/} }


%\newcommand{\mcomment}[2]{{\scriptsize\sffamily(\marginpar{\sffamily #1}#2)}}
\newcommand{\sm}[1]{\mcomment{\tiny{SM}}{\textcolor{blue}{#1}}}
\newcommand{\car}[1]{\mcomment{\tiny{CR}}{\textcolor{green}{#1}}}
%\newcommand{\vv}[1]{\mcomment{\tiny{VV}}{\textcolor{magenta}{#1}}}
%\newcommand{\as}[1]{\mcomment{\tiny{AS}}{\textcolor{orange}{#1}}}

\newcommand{\citealtv}[1]{\citeauthor{#1} \citeyear*{#1} [this volume]}
